%define psqlodbcver 09.02.0100
%define destrootdir /opt/redhat/jboss-dv/v6/psqlodbc

Name: jboss-dv-psqlodbc
Summary: JBoss Data Virtualization ODBC driver for PostgreSQL
Version: 6.2.0
Release: 3%{?dist}
License: LGPLv2+
Group: Applications/Databases
URL: http://psqlodbc.projects.postgresql.org/

Source0: http://ftp.postgresql.org/pub/odbc/versions/src/psqlodbc-%{psqlodbcver}.tar.gz


# CAUTION: acinclude.m4 has to be kept in sync with package's aclocal.m4.
# This is a kluge that ought to go away, but upstream currently isn't
# shipping their custom macros anywhere except in aclocal.m4.  (The macros
# actually come from the Postgres source tree, but we haven't got that
# available while building this RPM.)  To generate: in psqlodbc source tree,
#   aclocal -I . -I $PGSRC/config
# then strip aclocal.m4 down to just the PGAC macros.
# BUT: as of 09.01.0200, configure.ac hasn't been updated to use latest
# PG macros, so keep using the previous version of acinclude.m4.
Source1: acinclude.m4

Source2: odbc.ini
Source3: odbcinst.ini
Source4: setenv.sh

Patch0: sspisvcs-mutual-auth.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: zip unixODBC-devel
BuildRequires: libtool automake autoconf postgresql-devel
BuildRequires: openssl-devel krb5-devel pam-devel zlib-devel readline-devel

# This spec file and ancillary files are licensed in accordance with 
# the psqlodbc license.

%description
This package includes the driver needed for applications to access a
PostgreSQL system via ODBC (Open Database Connectivity).

%prep
%setup -q -n psqlodbc-%{psqlodbcver}

%patch0 -p0

# Some missing macros.  Courtesy Owen Taylor <otaylor@redhat.com>.
cp -p %{SOURCE1} .

# Use build system's libtool.m4, not the one in the package.
rm -f libtool.m4 config/libtool.m4

libtoolize --force  --copy
aclocal -I .
automake --add-missing --copy
autoconf
autoheader

%build

%configure --with-unixodbc \
    --disable-dependency-tracking

make
mv .libs libs.u

# Build ANSI version
make clean
%configure --with-unixodbc \
    --disable-dependency-tracking \
    --disable-unicode

make
mv .libs libs.a

%install

install -m 755 -d ${RPM_BUILD_ROOT}%{destrootdir}/etc
install -m 755 -d ${RPM_BUILD_ROOT}%{destrootdir}/%{_lib}
install -m 755 libs.u/psqlodbcw.so ${RPM_BUILD_ROOT}%{destrootdir}/%{_lib}/
install -m 755 libs.a/psqlodbca.so ${RPM_BUILD_ROOT}%{destrootdir}/%{_lib}/

# Remove .la files
pushd ${RPM_BUILD_ROOT}%{destrootdir}/%{_lib}
    ln -s psqlodbcw.so psqlodbc.so
    rm -rf *.la
popd

%{__sed} "s;@@InstallLib@@;%{destrootdir}/%{_lib};g" %{SOURCE2} > ${RPM_BUILD_ROOT}%{destrootdir}/etc/odbc.ini
%{__sed} "s;@@InstallLib@@;%{destrootdir}/%{_lib};g" %{SOURCE3} > ${RPM_BUILD_ROOT}%{destrootdir}/etc/odbcinst.ini

%{__sed} -e "s;@@InstallLib@@;%{destrootdir}/%{_lib};g" \
         -e "s;@@Install@@;%{destrootdir};g" \
         %{SOURCE4} > ${RPM_BUILD_ROOT}%{destrootdir}/etc/setenv.sh

pushd ${RPM_BUILD_ROOT}/opt
    zip -q -r -y %{name}-%{version}-%{release}.%{_arch}.zip redhat
popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%attr(755,root,root) %{destrootdir}/%{_lib}/psqlodbca.so
%attr(755,root,root) %{destrootdir}/%{_lib}/psqlodbcw.so
%{destrootdir}/%{_lib}/psqlodbc.so
%attr(755,root,root) %{destrootdir}/etc/setenv.sh
%{destrootdir}/etc/*.ini
%doc license.txt readme.txt docs/*
/opt/%{name}-%{version}-%{release}.%{_arch}.zip

%changelog
* Wed Aug 05 2015 Alex Szczuczko <aszczucz@redhat.com> - 6.2.0-3
- Patch to enable mutual authentication for Kerberos connections on Windows (BZ-1244000)

* Tue Jun 23 2015 Alex Szczuczko <aszczucz@redhat.com> - 6.2.0-2
- Add setenv.sh

* Thu Nov 28 2013 Mladen Turk <mturk@redhat.com> - 6.0.0-1
- Create initial repository
